parameters:
    visualm.tag_manager.form.meta_tag_set.class: 'VisualM\TagManagerBundle\Form\Type\MetaTagSetType'
    visualm.tag_manager.form.meta_tag_preset.class: 'VisualM\TagManagerBundle\Form\Type\MetaTagPresetType'
    visualm.tag_manager.form.meta_tag.class: 'VisualM\TagManagerBundle\Form\Type\MetaTagType'
    visualm.tag_manager.form.entity_hidden.class: 'VisualM\TagManagerBundle\Form\Type\EntityHiddenType'
    visualm.tag_manager.form.meta_tag_collection.class: 'VisualM\TagManagerBundle\Form\Type\MetaTagCollectionType'

services:

    visualm.tag_manager.form.meta_tag_set:
        class: '%visualm.tag_manager.form.meta_tag_set.class%'
        arguments:
            - '@visualm.tag_manager.util.taggable_manager_registry'
        tags:
            - { name: form.type, alias: meta_tag_set }

    visualm.tag_manager.form.meta_tag_preset:
        class: '%visualm.tag_manager.form.meta_tag_preset.class%'
        tags:
            - { name: form.type, alias: meta_tag_preset }

    visualm.tag_manager.form.meta_tag:
        class: '%visualm.tag_manager.form.meta_tag.class%'
        arguments:
            - '@security.context'
        tags:
            - { name: form.type, alias: meta_tag }

    visualm.tag_manager.form.meta_tag_collection:
        class: '%visualm.tag_manager.form.meta_tag_collection.class%'
        arguments:
            - '@visualm.tag_manager.util.taggable_manager_registry'
            - '@visualm.tag_manager.manager.meta_tag_set'
            - '@visualm.tag_manager.manager.meta_tag'
            - '@visualm.tag_manager.doctrine.meta_collection_subscriber'
            
        tags:
            - { name: form.type, alias: meta_tag_collection }


    visualm.tag_manager.form.entity_hidden:
        class: '%visualm.tag_manager.form.entity_hidden.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
        tags:
            - { name: form.type, alias: entity_hidden }
